(function(){

	var browser = browser || chrome;

	let blacklistInput = document.getElementById('blacklist');

	browser.runtime.sendMessage({'subject':"getBlacklist", 'value': null}, function(response) {

		if (response.subject === 'blacklistValues') {

			let values = response.value.blacklist;
			let blacklist = values.join(',');
			blacklistInput.value = blacklist;
		}
	});

	blacklistInput.addEventListener('blur', function(event) {
		if (event.target !== undefined) {
			let blacklist = event.target.value;
			console.log(blacklist);
			browser.runtime.sendMessage({'subject':"updateBlacklist", 'value': blacklist}, function(response) {

			});
		}
	});

})();
